cURL
curl -X POST https://api.getcatalog.ai/v1/collections \
-H "x-api-key: $CATALOG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"vendor": "skims.com",
"page": 1,
"page_size": 5
}'
const response = await fetch('https://api.getcatalog.ai/v1/collections', {
method: 'POST',
headers: {
'x-api-key': 'YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
vendor: 'skims.com',
page: 1,
page_size: 5
})
});
const data = await response.json();
console.log(`Found ${data.collections.length} collections`);
console.log(`Page ${data.meta.current_page} of ${data.meta.total_pages}`);
import requests
response = requests.post(
'https://api.getcatalog.ai/v1/collections',
headers={'x-api-key': 'YOUR_API_KEY'},
json={
'vendor': 'skims.com',
'page': 1,
'page_size': 5
}
)
data = response.json()
print(f"Found {len(data['collections'])} collections")
print(f"Page {data['meta']['current_page']} of {data['meta']['total_pages']}")
{
"collections": [
{
"id": "db1a9fa8-4849-4209-bf13-14e4c176a96e",
"url": "https://www.skims.com/collections/skims-sale",
"products_total": 926,
"last_updated_by_catalog": "2025-11-24T06:17:29.338+00:00"
},
{
"id": "44be194a-eae7-4737-a8d1-963cb4ac5c35",
"url": "https://www.skims.com/collections/fits-everybody",
"products_total": 545,
"last_updated_by_catalog": "2025-11-24T05:36:15.802+00:00"
},
{
"id": "f7540f32-06ce-421b-b134-77d4b2b041b5",
"url": "https://www.skims.com/collections/clothing",
"products_total": 419,
"last_updated_by_catalog": "2025-11-24T05:49:21.729+00:00"
},
{
"id": "897be031-3f73-447d-bd56-5d1c49fef1b9",
"url": "https://www.skims.com/collections/holiday-shop",
"products_total": 366,
"last_updated_by_catalog": "2025-11-24T06:23:03.296+00:00"
},
{
"id": "7f882285-7376-4e92-874e-d35ead59a761",
"url": "https://www.skims.com/collections/bra-panty-sets",
"products_total": 346,
"last_updated_by_catalog": "2025-11-24T05:39:37.42+00:00"
}
],
"meta": {
"total_items": 274,
"total_pages": 55,
"current_page": 1,
"page_size": 5,
"has_next": true,
"has_prev": false
}
}
API Reference
Get Collections
Get all collections for a vendor with pagination. Collections are ordered by product count.
POST
/
v1
/
collections
cURL
curl -X POST https://api.getcatalog.ai/v1/collections \
-H "x-api-key: $CATALOG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"vendor": "skims.com",
"page": 1,
"page_size": 5
}'
const response = await fetch('https://api.getcatalog.ai/v1/collections', {
method: 'POST',
headers: {
'x-api-key': 'YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
vendor: 'skims.com',
page: 1,
page_size: 5
})
});
const data = await response.json();
console.log(`Found ${data.collections.length} collections`);
console.log(`Page ${data.meta.current_page} of ${data.meta.total_pages}`);
import requests
response = requests.post(
'https://api.getcatalog.ai/v1/collections',
headers={'x-api-key': 'YOUR_API_KEY'},
json={
'vendor': 'skims.com',
'page': 1,
'page_size': 5
}
)
data = response.json()
print(f"Found {len(data['collections'])} collections")
print(f"Page {data['meta']['current_page']} of {data['meta']['total_pages']}")
{
"collections": [
{
"id": "db1a9fa8-4849-4209-bf13-14e4c176a96e",
"url": "https://www.skims.com/collections/skims-sale",
"products_total": 926,
"last_updated_by_catalog": "2025-11-24T06:17:29.338+00:00"
},
{
"id": "44be194a-eae7-4737-a8d1-963cb4ac5c35",
"url": "https://www.skims.com/collections/fits-everybody",
"products_total": 545,
"last_updated_by_catalog": "2025-11-24T05:36:15.802+00:00"
},
{
"id": "f7540f32-06ce-421b-b134-77d4b2b041b5",
"url": "https://www.skims.com/collections/clothing",
"products_total": 419,
"last_updated_by_catalog": "2025-11-24T05:49:21.729+00:00"
},
{
"id": "897be031-3f73-447d-bd56-5d1c49fef1b9",
"url": "https://www.skims.com/collections/holiday-shop",
"products_total": 366,
"last_updated_by_catalog": "2025-11-24T06:23:03.296+00:00"
},
{
"id": "7f882285-7376-4e92-874e-d35ead59a761",
"url": "https://www.skims.com/collections/bra-panty-sets",
"products_total": 346,
"last_updated_by_catalog": "2025-11-24T05:39:37.42+00:00"
}
],
"meta": {
"total_items": 274,
"total_pages": 55,
"current_page": 1,
"page_size": 5,
"has_next": true,
"has_prev": false
}
}
When to use: Browse vendor collections before fetching products. Use with
POST /v1/listings to get products from specific collections.Request
string
required
Your API key for authentication
string
required
The vendor/brand name to filter by
number
Page number for pagination (minimum: 1)
number
Number of collections per page (minimum: 1, maximum: 100, default: 10)
Response
array
object
cURL
curl -X POST https://api.getcatalog.ai/v1/collections \
-H "x-api-key: $CATALOG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"vendor": "skims.com",
"page": 1,
"page_size": 5
}'
const response = await fetch('https://api.getcatalog.ai/v1/collections', {
method: 'POST',
headers: {
'x-api-key': 'YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
vendor: 'skims.com',
page: 1,
page_size: 5
})
});
const data = await response.json();
console.log(`Found ${data.collections.length} collections`);
console.log(`Page ${data.meta.current_page} of ${data.meta.total_pages}`);
import requests
response = requests.post(
'https://api.getcatalog.ai/v1/collections',
headers={'x-api-key': 'YOUR_API_KEY'},
json={
'vendor': 'skims.com',
'page': 1,
'page_size': 5
}
)
data = response.json()
print(f"Found {len(data['collections'])} collections")
print(f"Page {data['meta']['current_page']} of {data['meta']['total_pages']}")
{
"collections": [
{
"id": "db1a9fa8-4849-4209-bf13-14e4c176a96e",
"url": "https://www.skims.com/collections/skims-sale",
"products_total": 926,
"last_updated_by_catalog": "2025-11-24T06:17:29.338+00:00"
},
{
"id": "44be194a-eae7-4737-a8d1-963cb4ac5c35",
"url": "https://www.skims.com/collections/fits-everybody",
"products_total": 545,
"last_updated_by_catalog": "2025-11-24T05:36:15.802+00:00"
},
{
"id": "f7540f32-06ce-421b-b134-77d4b2b041b5",
"url": "https://www.skims.com/collections/clothing",
"products_total": 419,
"last_updated_by_catalog": "2025-11-24T05:49:21.729+00:00"
},
{
"id": "897be031-3f73-447d-bd56-5d1c49fef1b9",
"url": "https://www.skims.com/collections/holiday-shop",
"products_total": 366,
"last_updated_by_catalog": "2025-11-24T06:23:03.296+00:00"
},
{
"id": "7f882285-7376-4e92-874e-d35ead59a761",
"url": "https://www.skims.com/collections/bra-panty-sets",
"products_total": 346,
"last_updated_by_catalog": "2025-11-24T05:39:37.42+00:00"
}
],
"meta": {
"total_items": 274,
"total_pages": 55,
"current_page": 1,
"page_size": 5,
"has_next": true,
"has_prev": false
}
}
⌘I